/* This software is licensed by the MIT License, see LICENSE file */
/*                                Copyright © 2022 Gregory Lirent */

#ifndef LIBCDSB_BITS_RBTREE_H
#define LIBCDSB_BITS_RBTREE_H

typedef enum {
    RBFOREACH_UNSPECIFIED           = 0x00,
    RBFOREACH_REVERSE               = 0x80,
    RBFOREACH_INORDER               = 0x01,
    RBFOREACH_PREORDER              = 0x02,
    RBFOREACH_POSTORDER             = 0x04,
    RBFOREACH_BREADTH_FIRST         = 0x08,
    RBFOREACH_INORDER_REVERSE       = RBFOREACH_INORDER       | RBFOREACH_REVERSE,
    RBFOREACH_PREORDER_REVERSE      = RBFOREACH_PREORDER      | RBFOREACH_REVERSE,
    RBFOREACH_POSTORDER_REVERSE     = RBFOREACH_POSTORDER     | RBFOREACH_REVERSE,
    RBFOREACH_BREADTH_FIRST_REVERSE = RBFOREACH_BREADTH_FIRST | RBFOREACH_REVERSE
} rbforeach_t;

#endif /* LIBCDSB_BITS_RBTREE_H */
