/* This software is licensed by the MIT License, see LICENSE file */
/*                                Copyright © 2022 Gregory Lirent */

#include <string.h>
#include "__attributes.h"

#ifndef LIBCDSB_BITS_CSTRING_H
#define LIBCDSB_BITS_CSTRING_H

extern const char* libcdsb_char_to_cstring(int c) Warn_unused_result__;

extern size_t libcdsb_strlen     (const char* s) Pure__ Warn_unused_result__ Nonnull__(1);
extern size_t libcdsb_strasciilen(const char* s) Pure__ Warn_unused_result__ Nonnull__(1);

extern char* libcdsb_strdup (const char* s)           Warn_unused_result__ Nonnull__(1);
extern char* libcdsb_strndup(const char* s, size_t n) Warn_unused_result__ Nonnull__(1);
extern void* libcdsb_memndup(const void* m, size_t n) Warn_unused_result__ Nonnull__(1);

#endif /* LIBCDSB_BITS_CSTRING_H */
