/* This software is licensed by the MIT License, see LICENSE file */
/*                                Copyright © 2022 Gregory Lirent */

#include "../../include/vtype.h"

#ifndef LIBCDSB_TESTS_TIME_H
#define LIBCDSB_TESTS_TIME_H

typedef struct timer {
    void* info;
} TIMER;


extern void timer_init (TIMER* timer);
extern void timer_start(TIMER* timer);
extern void timer_stop (TIMER* timer);
extern void timer_free (TIMER* timer);

extern vtype_ldouble timer_value(TIMER* timer);

extern void psleep(unsigned long microsec);


#endif /* LIBCDSB_TESTS_TIME_H */
