/* This software is licensed by the MIT License, see LICENSE file */
/*                                Copyright © 2022 Gregory Lirent */

#include <string.h>
#include "../../../include/vtype.h"
#include "../../../include/array.h"

#include "../../include/random.h"
#include "../../include/test.h"
#include "../../include/time.h"

extern void array_print(arr_t* x, const char* prefix, unsigned int hpos);
extern void array_info(arr_t* x, unsigned int hpos);

extern void visual_push(arr_t* x, size_t n);
extern void visual_sort(arr_t* x);
extern void visual_remove(arr_t* x);
extern void visual_push2(arr_t* x0, size_t n0, arr_t* x1, size_t n1);
extern void visual_remove2(arr_t* x0, arr_t* x1);
extern void visual_sort2(arr_t* x0, arr_t* x1);
extern void visual_slice(arr_t* x, arr_t* s);

extern void array_push_random  (arr_t* x, _Bool silent, unsigned int hpos);
extern void array_remove_random(arr_t* x, _Bool silent, unsigned int hpos);
