/* This software is licensed by the MIT License, see LICENSE file */
/*                                Copyright © 2022 Gregory Lirent */

#include <string.h>
#include "../../../../include/vtype.h"
#include "../../../include/random.h"

vtype_list*   list_duplicate  (const vtype_list*   x) { return 0; }
vtype_map*    map_duplicate   (const vtype_map*    x) { return 0; }
vtype_set*    vset_duplicate  (const vtype_set*    x) { return 0; }
vtype_dict*   dict_duplicate  (const vtype_dict*   x) { return 0; }

void list_free  (vtype_list*   x) {}
void map_free   (vtype_map*    x) {}
void vset_free  (vtype_set*    x) {}
void dict_free  (vtype_dict*   x) {}

int string_compare(const vtype_string* s0, const vtype_string* s1) { return random_int8(); }
int list_compare  (const vtype_list*   s0, const vtype_list*   s1) { return random_int8(); }
int map_compare   (const vtype_map*    s0, const vtype_map*    s1) { return random_int8(); }
int vset_compare  (const vtype_set*    s0, const vtype_set*    s1) { return random_int8(); }
int dict_compare  (const vtype_dict*   s0, const vtype_dict*   s1) { return random_int8(); }

hash_t string_hash(const vtype_string* s) { return 0; }
hash_t list_hash  (const vtype_list*   s) { return 0; }
hash_t map_hash   (const vtype_map*    s) { return 0; }
hash_t vset_hash  (const vtype_set*    s) { return 0; }
hash_t dict_hash  (const vtype_dict*   s) { return 0; }

void list_copy_init  (vtype_list*   x, const vtype_list*   s) { memset(x, 0, sizeof(*x)); }
void map_copy_init   (vtype_map*    x, const vtype_map*    s) { memset(x, 0, sizeof(*x)); }
void vset_copy_init  (vtype_set*    x, const vtype_set*    s) { memset(x, 0, sizeof(*x)); }
void dict_copy_init  (vtype_dict*   x, const vtype_dict*   s) { memset(x, 0, sizeof(*x)); }
