/* This software is licensed by the MIT License, see LICENSE file */
/*                                Copyright © 2022 Gregory Lirent */

#include "../../../include/dict.h"

#include "../../include/random.h"
#include "../../include/test.h"
#include "../../include/time.h"

extern void dict_push_random(dict_t* x, bool silent, unsigned int hpos);
extern void dict_remove_random(dict_t* x, bool silent, unsigned int hpos);

extern void dict_info(const dict_t* x, unsigned int hpos);
extern void dict_print(dict_t* x, const char* prefix, unsigned int hpos);

extern void visual_push(dict_t* x, size_t n);
extern void visual_remove(dict_t* x);
