/* This software is licensed by the MIT License, see LICENSE file */
/*                                Copyright © 2022 Gregory Lirent */

#include "../../../include/string.h"
#include "../../../include/array.h"
#include "../../../include/list.h"
#include "../../../include/set.h"
#include "../../../include/map.h"
#include "../../../include/dict.h"

#include "../../include/random.h"
#include "../../include/test.h"
#include "../../include/time.h"

extern value_t random_container(bool embd);
extern value_t real_random_value(bool embd);

extern void array_info(arr_t* x, unsigned int hpos);
extern void list_info (list_t* x, unsigned int hpos);
extern void dict_info(const dict_t* x, unsigned int hpos);
extern void map_info(const map_t* x, unsigned int hpos);
extern void vset_info(const set_t* x, unsigned int hpos);
extern void string_info(str_t* x);
