/* This software is licensed by the MIT License, see LICENSE file */
/*                                Copyright © 2022 Gregory Lirent */

#include "plug.h"

int main(int argc, char** argv) {
    test_init(argc, argv);

    list_t x = { .first = 0, .last = 0 };
    list_t y = { .first = 0, .last = 0 };

    visual_push(&x, (random_uint8()%9) + 8);
    visual_slice(&x, &y);

    visual_push2(&x, (random_uint8()%5) + 12, &y, (random_uint8()%3) + 6);
    visual_extend(&x, &y);

    visual_sort2(&x, &y);
    visual_remove2(&x, &y);

    list_free(&y);
    list_free(&y);
}
