/* This software is licensed by the MIT License, see LICENSE file */
/*                                Copyright © 2022 Gregory Lirent */

#include "../../../src/map/include.h"

#include "../../include/random.h"
#include "../../include/test.h"
#include "../../include/time.h"

extern void map_push_random(map_t* x, _Bool silent, unsigned int hpos);
extern void map_remove_random(map_t* x, _Bool silent, unsigned int hpos);

extern void map_info(const map_t* x, unsigned int hpos);
extern void map_print(map_t* x, const char* prefix, unsigned int hpos);
extern void map_rbtree_print(map_t *x, const char* prefix, unsigned int hpos);

extern void visual_push(map_t* x, size_t n);
extern void visual_remove(map_t* x);
