/* This software is licensed by the MIT License, see LICENSE file */
/*                                Copyright © 2022 Gregory Lirent */

#include <stdlib.h>
#include "../../../modules/libunic/include.h"
#include "../../../include/string.h"

#include "../../include/random.h"
#include "../../include/test.h"
#include "../../include/time.h"

extern char* random_ascii_cstring(size_t size);
extern char* random_utf8_cstring(size_t size);
extern void string_concat_random(str_t* x, unsigned int n);
extern void string_replace_random(str_t* x, unsigned int n);

extern void string_info(str_t* x);
extern void string_print(const str_t* x, const char* prefix);
extern str_t string_random(unsigned int n);

extern void visual_compare(const str_t* s0, const str_t* s1);
extern void visual_case_compare(const str_t* s0, const str_t* s1);
