/* This software is licensed by the MIT License, see LICENSE file */
/*                                Copyright © 2022 Gregory Lirent */

#include <stdio.h>
#include "../../include/vtype.h"

#ifndef LIBCDSB_TESTS_TEST_H
#define LIBCDSB_TESTS_TEST_H

extern void put_separator(unsigned int hpos);
extern void print_container_values_prefix(const char* name, const char* prefix, unsigned int hpos);
extern void print_container_value(const ssize_t* index, const void* value, const vtype type, _Bool print_type, unsigned int hpos);
extern void print_container_info(const char* name, const char* el_name, const vtype* type, ssize_t size, ssize_t nmemb, unsigned int hpos);

extern void test_init(int argc, char** argv);

#endif /* LIBCDSB_TESTS_TEST_H */
