/* This software is licensed by the MIT License, see LICENSE file */
/*                                Copyright © 2022 Gregory Lirent */

#include "plug.h"


int main(int argc, char** argv) {
    test_init(argc, argv);

    arr_t x = { .mem = 0, .size = 0, .type = random_uint8()%(VTYPE_LDOUBLE + 1) };
    arr_t y = { .mem = 0, .size = 0, .type = x.type };

    visual_push(&x, (random_uint8()%17) + 16);

    visual_slice(&x, &y);
    visual_push2(&x, (random_uint8()%5) + 12, &y, (random_uint8()%5) + 12);

    visual_sort2(&x, &y);
    visual_remove2(&x, &y);

    array_free(&y);
    array_free(&y);
}
