/* This software is licensed by the MIT License, see LICENSE file */
/*                                Copyright © 2022 Gregory Lirent */

#include "../../../include/list.h"

#include "../../include/random.h"
#include "../../include/test.h"
#include "../../include/time.h"

#include "../../../src/__internal/vnode.h"

extern void list_print(list_t* x, const char* prefix, unsigned int hpos);
extern void list_info (list_t* x, unsigned int hpos);

extern void list_push_random(list_t* x, _Bool silent, unsigned int hpos);
extern void list_remove_random(list_t* x, _Bool silent, unsigned int hpos);

extern void visual_push(list_t* x, size_t n);
extern void visual_sort(list_t* x);
extern void visual_remove(list_t* x);

extern void visual_push2(list_t* x0, size_t n0, list_t* x1, size_t n1);
extern void visual_remove2(list_t* x0, list_t* x1);
extern void visual_sort2(list_t* x0, list_t* x1);
extern void visual_extend(list_t* x, list_t* s);
extern void visual_slice(list_t* x, list_t* s);
