/* This software is licensed by the MIT License, see LICENSE file */
/*                                Copyright © 2022 Gregory Lirent */

#include "../../../include/set.h"
#include "../../../src/__internal/rbtree.h"

#include "../../include/random.h"
#include "../../include/test.h"
#include "../../include/time.h"

extern void vset_push_random(set_t* x, _Bool silent, unsigned int hpos);
extern void vset_remove_random(set_t* x, _Bool silent, unsigned int hpos);

extern void vset_print(set_t* x, const char* prefix, unsigned int hpos);
extern void vset_info(const set_t* x, unsigned int hpos);
extern void vset_rbtree_print(set_t *x, const char* prefix, unsigned int hpos);
extern void visual_push(set_t* x, size_t n);
extern void visual_remove(set_t* x);
